Sisyphus repositório
Última atualização: 1 outubro 2023 | SRPMs: 18631 | Visitas: 37501603
en ru br
ALT Linux repositórios
S:3.0.3-alt1

Group :: Sistema/Base
RPM: corosync-qdevice

 Main   Changelog   Spec   Patches   Sources   Download   Gear   Bugs e FR  Repocop 

Patch: corosync-qdevice-3.0.3.patch
Download


 .gear/corosync-qdevice-init                        |  99 ++++++++++++++++
 .gear/corosync-qdevice.spec                        | 125 +++++++++++++++++++++
 .gear/corosync-qnetd-init                          | 102 +++++++++++++++++
 .gear/rules                                        |   6 +
 .../tags/3a6cf049122d4522268c97860ff38862e985bc01  |   6 +
 .gear/tags/list                                    |   1 +
 .gear/upstream/remotes                             |   3 +
 configure.ac                                       |  15 ---
 8 files changed, 342 insertions(+), 15 deletions(-)
diff --git a/.gear/corosync-qdevice-init b/.gear/corosync-qdevice-init
new file mode 100755
index 0000000..da8ba96
--- /dev/null
+++ b/.gear/corosync-qdevice-init
@@ -0,0 +1,99 @@
+#!/bin/bash
+
+# Authors:
+#  Jan Friesse <jfriesse@redhat.com>
+#
+# License: Revised BSD
+
+# chkconfig: - 20 80
+# description: Corosync Qdevice daemon
+# processname: corosync-qdevice
+#
+### BEGIN INIT INFO
+# Provides:		corosync-qdevice
+# Required-Start:	corosync
+# Required-Stop:	corosync
+# Default-Start:
+# Default-Stop:
+# Short-Description:	Starts and stops Corosync Qdevice daemon.
+# Description:		Starts and stops Corosync Qdevice daemon.
+### END INIT INFO
+
+desc="Corosync Qdevice daemon"
+prog="corosync-qdevice"
+
+# Source function library.
+. /etc/init.d/functions
+
+SourceIfNotEmpty /etc/sysconfig/$prog
+
+LOCKFILE="/var/lock/subsys/$prog"
+RETVAL=0
+
+cluster_disabled_at_boot()
+{
+       if grep -q nocluster /proc/cmdline && \
+          [ "$(tty)" = "/dev/console" ]; then
+               echo -e "not configured to run at boot"
+               failure
+               return 1
+       fi
+       return 0
+}
+
+start()
+{
+	! cluster_disabled_at_boot && return
+	if [ ! -d "/var/run/$prog" ];then
+	mkdir -p "/var/run/$prog"
+	chmod 0770 "/var/run/$prog"
+	fi
+
+	start_daemon --lockfile "$LOCKFILE" --expect-user root -- $prog $COROSYNC_QDEVICE_OPTIONS
+	RETVAL=$?
+	return $RETVAL
+}
+
+stop()
+{
+	stop_daemon --lockfile "$LOCKFILE" --expect-user root -- $prog
+	RETVAL=$?
+	return $RETVAL
+}
+
+restart()
+{
+	stop
+	start
+}
+
+case "$1" in
+	start)
+		start
+		;;
+	stop)
+		stop
+		;;
+	restart|reload)
+		restart
+		;;
+	condrestart)
+		if [ -e "$LOCKFILE" ]; then
+			restart
+		fi
+		;;
+	condstop)
+		if [ -e "$LOCKFILE" ]; then
+			stop
+		fi
+		;;
+	status)
+		status --expect-user root -- $prog
+		RETVAL=$?
+		;;
+	*)
+		msg_usage "${0##*/} {start|stop|restart|reload|condrestart|condstop|status}"
+		RETVAL=1
+esac
+
+exit $RETVAL
diff --git a/.gear/corosync-qdevice.spec b/.gear/corosync-qdevice.spec
new file mode 100644
index 0000000..cc6b7fd
--- /dev/null
+++ b/.gear/corosync-qdevice.spec
@@ -0,0 +1,125 @@
+
+Name: corosync-qdevice
+Summary: The Corosync Cluster Engine Qdevice
+Version: 3.0.3
+Release: alt1
+Group: System/Base
+License: BSD
+Url: https://github.com/corosync/corosync-qdevice
+Source: %name-%version.tar
+Source2: corosync-qdevice-init
+Source3: corosync-qnetd-init
+Patch: %name-%version.patch
+
+# Runtime bits
+Requires: corosync >= 2.4.0
+Requires: libcorosync >= 2.4.0
+Requires: nss-utils
+
+BuildRequires: systemd-devel
+BuildRequires: libcorosync-devel
+BuildRequires: libnss-devel
+
+
+%define _localstatedir %_var
+
+%description
+This package contains the Corosync Cluster Engine Qdevice, script for creating
+NSS certificates and an init script.
+
+%package -n corosync-qnetd
+Summary: The Corosync Cluster Engine Qdevice Network Daemon
+Group: System/Base
+Requires: nss-utils
+
+%description -n corosync-qnetd
+This package contains the Corosync Cluster Engine Qdevice Network Daemon,
+script for creating NSS certificates and an init script.
+
+%prep
+%setup
+%patch -p1
+
+%build
+%autoreconf
+%configure \
+	--enable-systemd \
+	--enable-qdevices \
+	--enable-qnetd \
+	--enable-user-flags \
+	--with-initddir=%_initdir \
+	--with-systemddir=%_unitdir \
+	--docdir=%_docdir
+
+%make_build
+
+%install
+%makeinstall_std
+
+## tree fixup
+# drop docs and html docs for now
+rm -rf %buildroot%_docdir/*
+mkdir -p %buildroot%_sysconfdir/sysconfig
+# /etc/sysconfig/corosync-qdevice
+install -p -m 644 init/corosync-qdevice.sysconfig.example \
+   %buildroot%_sysconfdir/sysconfig/corosync-qdevice
+# /etc/sysconfig/corosync-qnetd
+install -p -m 644 init/corosync-qnetd.sysconfig.example \
+   %buildroot%_sysconfdir/sysconfig/corosync-qnetd
+
+mkdir -p %buildroot%_initdir
+install -m 755 %SOURCE2 %buildroot%_initdir/corosync-qdevice
+install -m 755 %SOURCE3 %buildroot%_initdir/corosync-qnetd
+
+sed -i -e 's/^#User=/User=/' \
+   %buildroot%_unitdir/corosync-qnetd.service
+
+
+%check
+%make check
+
+%pre -n corosync-qnetd
+%_sbindir/groupadd -r -f coroqnetd 2> /dev/null ||:
+%_sbindir/useradd -r -l -M -g coroqnetd -d /var/empty -s /dev/null -c "User for corosync-qnetd" coroqnetd 2> /dev/null ||:
+
+%post
+%post_service corosync-qdevice
+
+%preun
+%preun_service corosync-qdevice
+
+%post -n corosync-qnetd
+%post_service corosync-qnetd
+
+%postun -n corosync-qnetd
+%preun_service corosync-qnetd
+
+%files
+%dir %_sysconfdir/corosync/qdevice
+%dir %config(noreplace) %_sysconfdir/corosync/qdevice/net
+%_sbindir/corosync-qdevice*
+%config(noreplace) %_sysconfdir/sysconfig/corosync-qdevice
+%_unitdir/corosync-qdevice.service
+%_initrddir/corosync-qdevice
+%_man8dir/*qdevice*
+
+%files -n corosync-qnetd
+%dir %config(noreplace) %attr(770, root, coroqnetd) %_sysconfdir/corosync/qnetd
+%_bindir/corosync-qnetd*
+%config(noreplace) %_sysconfdir/sysconfig/corosync-qnetd
+%_unitdir/corosync-qnetd.service
+%_initrddir/corosync-qnetd
+%_man8dir/*qnetd*
+
+%changelog
+* Fri Aug 18 2023 Alexey Shabalin <shaba@altlinux.org> 3.0.3-alt1
+- New version 3.0.3.
+
+* Wed Jan 11 2023 Alexey Shabalin <shaba@altlinux.org> 3.0.2-alt1
+- new version 3.0.2
+
+* Fri Jan 15 2021 Alexey Shabalin <shaba@altlinux.org> 3.0.1-alt1
+- new version 3.0.1
+
+* Tue Mar 05 2019 Alexey Shabalin <shaba@altlinux.org> 3.0.0-alt1
+- initial build as separated package
diff --git a/.gear/corosync-qnetd-init b/.gear/corosync-qnetd-init
new file mode 100755
index 0000000..2f8c5bd
--- /dev/null
+++ b/.gear/corosync-qnetd-init
@@ -0,0 +1,102 @@
+#!/bin/bash
+
+# Authors:
+#  Jan Friesse <jfriesse@redhat.com>
+#
+# License: Revised BSD
+
+# chkconfig: - 20 80
+# description: Corosync Qdevice Network daemon
+# processname: corosync-qnetd
+#
+### BEGIN INIT INFO
+# Provides:		corosync-qnetd
+# Required-Start:	$network $syslog
+# Required-Stop:	$network $syslog
+# Default-Start:
+# Default-Stop:
+# Short-Description:	Starts and stops Corosync Qdevice Network daemon.
+# Description:		Starts and stops Corosync Qdevice Network daemon.
+### END INIT INFO
+
+desc="Corosync Qdevice Network daemon"
+prog="corosync-qnetd"
+
+# Source function library.
+. /etc/init.d/functions
+
+SourceIfNotEmpty /etc/sysconfig/$prog
+
+LOCKFILE="/var/lock/subsys/$prog"
+RETVAL=0
+
+cluster_disabled_at_boot()
+{
+       if grep -q nocluster /proc/cmdline && \
+          [ "$(tty)" = "/dev/console" ]; then
+               echo -e "not configured to run at boot"
+               failure
+               return 1
+       fi
+       return 0
+}
+
+start()
+{
+	! cluster_disabled_at_boot && return
+	if [ ! -d "/var/run/$prog" ];then
+	mkdir -p "/var/run/$prog"
+		chmod 0770 "/var/run/$prog"
+		if [ ! -z "$COROSYNC_QNETD_RUNAS" ];then
+			chown "$COROSYNC_QNETD_RUNAS:$COROSYNC_QNETD_RUNAS" "/var/run/$prog"
+		fi
+	fi
+
+	start_daemon --lockfile "$LOCKFILE" --user $COROSYNC_QNETD_RUNAS -- $prog $COROSYNC_QNETD_OPTIONS
+	RETVAL=$?
+	return $RETVAL
+}
+
+stop()
+{
+	stop_daemon --lockfile "$LOCKFILE" --expect-user $COROSYNC_QNETD_RUNAS -- $prog
+	RETVAL=$?
+	return $RETVAL
+}
+
+restart()
+{
+	stop
+	start
+}
+
+case "$1" in
+	start)
+		start
+		;;
+	stop)
+		stop
+		;;
+	restart|reload)
+		restart
+		;;
+	condrestart)
+		if [ -e "$LOCKFILE" ]; then
+			restart
+		fi
+		;;
+	condstop)
+		if [ -e "$LOCKFILE" ]; then
+			stop
+		fi
+		;;
+	status)
+		status --expect-user $COROSYNC_QNETD_RUNAS -- $prog
+		RETVAL=$?
+		;;
+	*)
+		msg_usage "${0##*/} {start|stop|restart|reload|condrestart|condstop|status}"
+		RETVAL=1
+esac
+
+exit $RETVAL
diff --git a/.gear/rules b/.gear/rules
new file mode 100644
index 0000000..44b57a0
--- /dev/null
+++ b/.gear/rules
@@ -0,0 +1,6 @@
+tar: v@version@:.
+diff: v@version@:. . name=@name@-@version@.patch
+spec: .gear/corosync-qdevice.spec
+copy?: .gear/*-init
+copy?: .gear/*.service
+copy?: *.patch
diff --git a/.gear/tags/3a6cf049122d4522268c97860ff38862e985bc01 b/.gear/tags/3a6cf049122d4522268c97860ff38862e985bc01
new file mode 100644
index 0000000..8661b8e
--- /dev/null
+++ b/.gear/tags/3a6cf049122d4522268c97860ff38862e985bc01
@@ -0,0 +1,6 @@
+object 4331c7d5650a8bf44c16512419f1954d0ef96df5
+type commit
+tag v3.0.3
+tagger Jan Friesse <jfriesse@redhat.com> 1679498964 +0100
+
+v3.0.3 release
diff --git a/.gear/tags/list b/.gear/tags/list
new file mode 100644
index 0000000..eb88240
--- /dev/null
+++ b/.gear/tags/list
@@ -0,0 +1 @@
+3a6cf049122d4522268c97860ff38862e985bc01 v3.0.3
diff --git a/.gear/upstream/remotes b/.gear/upstream/remotes
new file mode 100644
index 0000000..12b5bb2
--- /dev/null
+++ b/.gear/upstream/remotes
@@ -0,0 +1,3 @@
+[remote "upstream"]
+	url = https://github.com/corosync/corosync-qdevice.git
+	fetch = +refs/heads/*:refs/remotes/upstream/*
diff --git a/configure.ac b/configure.ac
index c33fac9..cbb403b 100644
--- a/configure.ac
+++ b/configure.ac
@@ -187,21 +187,6 @@ ENV_CFLAGS="$CFLAGS"
 ENV_CPPFLAGS="$CPPFLAGS"
 ENV_LDFLAGS="$LDFLAGS"
 
-# debug build stuff
-if test "x${enable_debug}" = xyes; then
-	AC_DEFINE_UNQUOTED([DEBUG], [1], [Compiling Debugging code])
-	OPT_CFLAGS="-O0"
-	PACKAGE_FEATURES="$PACKAGE_FEATURES debug"
-else
-	OPT_CFLAGS="-O3"
-fi
-
-# gdb flags
-if test "x${GCC}" = xyes; then
-	GDB_FLAGS="-ggdb3"
-else
-	GDB_FLAGS="-g"
-fi
 
 if test "x${enable_systemd}" = xyes; then
 	PKG_CHECK_MODULES([libsystemd], [libsystemd])
 
projeto & código: Vladimir Lettiev aka crux © 2004-2005, Andrew Avramenko aka liks © 2007-2008
mantenedor atual: Michael Shigorin
mantenedor da tradução: Fernando Martini aka fmartini © 2009